/*
 * Copyright 2015 UnboundID Corp.
 * All Rights Reserved.
 */
/*
 * Copyright (C) 2015 UnboundID Corp.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (GPLv2 only)
 * or the terms of the GNU Lesser General Public License (LGPLv2.1 only)
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses>.
 */



/**
 * This package provides a number of classes that implement support for
 * interacting with data stored in the JSON (JavaScript Object Notation) Data
 * Interchange Format as initially described in the <A HREF=
 * "http://www.ecma-international.org/publications/standardsO/Ecma-404.htm">
 * ECMA-404</A> specification and refined in
 * <A HREF="http://www.ietf.org/rfc/rfc7159.txt">RFC 7159</A>.
 * <BR><BR>
 * Classes in this package may be used for constructing JSON objects and for
 * converting between their Java object and standard string representations.
 * This includes the {@link com.unboundid.util.json.JSONValue} class and its
 * subclasses.
 */
package com.unboundid.util.json;
